PTHREAD_ATTR(3)

NAME
pthread_attr_getschedpolicy, pthread_attr_setschedpolicy - thread attribute operations

SYNOPSIS
#include <pthread.h>
int
pthread_attr_getschedpolicy(const pthread_attr_t *restrict attr, int *restrict policy);
int
pthread_attr_setschedpolicy(pthread_attr_t *attr, int policy);

DESCRIPTION
Thread attributes are used to specify parameters to pthread_create(). One attribute object can be used in multiple calls to pthread_create(), with or without modifications between calls.

The functions pthread_attr_setschedpolicy() and pthread_attr_getschedpolicy(), set and get the attribute in the attr argument related to the scheduling policy. The value for the aforementioned attribute can be SCHED_FIFO, SCHED_RR and SCHED_OTHER.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error. pthread_attr_getschedpolicy(), on success, will copy the value of the thread's scheduling policy attribute to the location pointed to by the second function parameter.

ERRORS

pthread_attr_getschedpolicy() will fail if:

[EINVAL]
    Invalid value for attr.

pthread_attr_setschedpolicy() will fail if:

[EINVAL]
    Invalid value for attr.

[ENOTSUP]
    Invalid or unsupported value for policy.

SEE ALSO
pthread_create(3), pthread_attr_init(3), pthread_attr_setschedparam(3), pthread_attr_setinheritsched(3)

STANDARDS
pthread_attr_setschedpolicy(), pthread_attr_getschedpolicy() conform to susv2